import { ElementRef } from '@angular/core';
import { Input } from '@angular/core';
import { Directive } from '@angular/core';
var HtmlDirective = (function () {
    function HtmlDirective(elmRef) {
        this.elmRef = elmRef;
    }
    HtmlDirective.prototype.ngAfterContentInit = function () {
        this.elmRef.nativeElement.insertAdjacentHTML('afterbegin', this.content);
    };
    return HtmlDirective;
}());
export { HtmlDirective };
HtmlDirective.decorators = [
    { type: Directive, args: [{
                selector: '[sh-html]'
            },] },
];
/** @nocollapse */
HtmlDirective.ctorParameters = function () { return [
    { type: ElementRef, },
]; };
HtmlDirective.propDecorators = {
    'content': [{ type: Input, args: ['sh-html',] },],
};
//# sourceMappingURL=html.directive.js.map